Package com.sas.services.information.search

# Class ExtendedAttributesFilter

java.lang.Object
com.sas.services.information.search.ExtendedAttributesFilter

All Implemented Interfaces:
  `SearchFilter`, `Serializable`

public class ExtendedAttributesFilter extends Object implements SearchFilter, Serializable
The ExtendedAttributesFilter class is used to filter or search for objects by their associated extended attributes.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,String>`
  `_extensions`
  `protected static final String`
  `ATTRIBUTE_NAME`
  `protected static final String`
  `ATTRIBUTE_VALUE`
  `protected static final String`
  `EXTENSIONS_ASSOCIATION_NAME`
  `protected static final String`
  `EXTENSIONS_ASSOCIATION_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedAttributesFilter(Map<String,String> extensions)`
  Constructs a new extended attributes filter that allows objects to be searched their associated extended attributes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Map<String,String>`
  `getExtendedAttributes()`
  Returns the extended attributes being searched for
  `FilterComponent`
  `getFilterComponent()`
  Returns the filter component used for processing this search criteria
  `String`
  `getFilterDescription()`
  Returns the description of this filter.
  `String`
  `getFilterType()`
  Returns the localized name of this filter.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EXTENSIONS_ASSOCIATION_NAME

    protected static final String EXTENSIONS_ASSOCIATION_NAME
    See Also:
      - Constant Field Values

  - ### EXTENSIONS_ASSOCIATION_TYPE

    protected static final String EXTENSIONS_ASSOCIATION_TYPE
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_VALUE

    protected static final String ATTRIBUTE_VALUE
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_NAME

    protected static final String ATTRIBUTE_NAME
    See Also:
      - Constant Field Values

  - ### _extensions

    protected Map<String,String> _extensions

- ## Constructor Details

  - ### ExtendedAttributesFilter

    public ExtendedAttributesFilter(Map<String,String> extensions)
    Constructs a new extended attributes filter that allows objects to be searched their associated extended attributes.
    Parameters:
      `extensions` -

- ## Method Details

  - ### getFilterType

    public String getFilterType()
    Description copied from interface: `SearchFilter`
    Returns the localized name of this filter. This method is typically used to help identify to the user what type of search is being performed. For instance, a name search, or a type search.
    Specified by:
      `getFilterType` in interface `SearchFilter`
    Returns:
      filter type

  - ### getFilterDescription

    public String getFilterDescription()
    Description copied from interface: `SearchFilter`
    Returns the description of this filter. This description is typically used for display purposes, or a log file, to inform the user what the intention of this filter is.
    Specified by:
      `getFilterDescription` in interface `SearchFilter`
    Returns:
      the filter description

  - ### getExtendedAttributes

    public Map<String,String> getExtendedAttributes()
    Returns the extended attributes being searched for
    Returns:
      extended attributes

  - ### getFilterComponent

    public FilterComponent getFilterComponent()
    Description copied from interface: `SearchFilter`
    Returns the filter component used for processing this search criteria
    Specified by:
      `getFilterComponent` in interface `SearchFilter`
    Returns:
      filter component

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`